Auteur Topic: egulden op Ubuntu  (gelezen 4870 keer)

Offline florijn

  • Groentje
  • **
  • Berichten: 3
  • Karma: +0/-0
    • Bekijk profiel
egulden op Ubuntu
« Gepost op: 04 april 2014, 17:47:09 »
De pre-compiled versie werkte niet lekker op ubuntu.
Als je op ubuntu toch de qt client wil draaien kun je hem vrij eenvoudig zelf compileren.

zorg dat je git hebt, hiervoor type je in een terminal en download de git source
sudo apt-get install git
mogelijk moet je nog een paar libs hebben die ik al had omdat ik vaker zaken zelf compileer.
in iedergeval benodigd:

sudo apt-get install qt4-qmake build-essential make
ga naar de dir waar je de software wilt hebben (bijvoorbeeld in op je Desktop)
daar voer je het volgende commando uit:
cd ~/Desktop
git clone https://github.com/egulden-coin/egulden.git
cd egulden
qmake
make
./egulden-qt

mocht er nog iets mis gaan laat dan hier de foutmelding even zien dan kijk ik even mee. mogelijk vindt ik nog wel tijd om een lege ubuntu te installeren en daar de hele instructie bij te schrijven.
« Laatst bewerkt op: 01 januari 1970, 01:00:00 door Guest »
Heeft mijn info je geholpen? stuur mij een biertje \":P\"  
BTC:  12G2tmQWUSLWZYPy25afYVKhggQv2e9pCM
EFL:  LPVkmF2NWv7jhxJ6iCMmph6URHHddLiaGK

Offline phiro

  • Groentje
  • **
  • Berichten: 2
  • Karma: +0/-0
    • Bekijk profiel
Re: egulden op Ubuntu
« Reactie #1 Gepost op: 04 april 2014, 23:30:04 »
qmake: could not find a Qt installation of ''

Wat moet er nog bij?
« Laatst bewerkt op: 01 januari 1970, 01:00:00 door Guest »

Offline phiro

  • Groentje
  • **
  • Berichten: 2
  • Karma: +0/-0
    • Bekijk profiel
Re: egulden op Ubuntu
« Reactie #2 Gepost op: 04 april 2014, 23:36:23 »
Found it, dit is een qt4 project niet qt5
« Laatst bewerkt op: 01 januari 1970, 01:00:00 door Guest »

Offline AmazingDreams

  • Administrator
  • Eindbaas
  • *****
  • Berichten: 377
  • Karma: +14/-1
    • Bekijk profiel
    • Guldenplaza.nl
Re: egulden op Ubuntu
« Reactie #3 Gepost op: 05 april 2014, 14:33:44 »
Ik heb de wallets gecompiled, dat zijn dus de wallets die de linux gebruikers kunnen download.

Ik heb gebruikt:

 - Debian Wheezy; native x86 en native x64 in virtualbox

Libs;
 - qt4-qmake
 - libboost 1.49
 - libdb5.1++
 - libminiupnpc 1.5

Als deze geinstalleerd worden zou het moeten werken.
« Laatst bewerkt op: 01 januari 1970, 01:00:00 door Guest »
Donate: LSVKryZR4z8v6Ca3UNDtYtbX3gbpTHB6Pi

Offline bittybit

  • Groentje
  • **
  • Berichten: 1
  • Karma: +0/-0
    • Bekijk profiel
Re: egulden op Ubuntu
« Reactie #4 Gepost op: 08 april 2014, 11:24:41 »
Dit was even wat zoekwerk maar onder Linux Mint Maya 13 werkt de wallet met:

- qt4-qmake
libboost1.46-dev
- libdb5.1++
libminiupnpc8

De volgende library moest er nog aan worden toegevoegd bij mij:
libdb++-dev
« Laatst bewerkt op: 01 januari 1970, 01:00:00 door Guest »

Offline sedje

  • Groentje
  • **
  • Berichten: 1
  • Karma: +0/-0
    • Bekijk profiel
Re: egulden op Ubuntu
« Reactie #5 Gepost op: 09 april 2014, 21:38:16 »
Ubuntu saucy (13.10) and trusty (14.04):

sudo apt-get install build-essential make
sudo apt-get install qt4-qmake libqt4-dev-bin qt4-linguist-tools libqt4-dev
sudo apt-get install libminiupnpc-dev
sudo apt-get install libboost-all-dev
sudo apt-get install libdb++-dev
qmake-qt4
make -j3
« Laatst bewerkt op: 27 april 2014, 10:26:12 door sedje »